Bug 1264094 - RFE: Please add XDG_DATA_DIRS support to bash-completion
RFE: Please add XDG_DATA_DIRS support to bash-completion
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: bash-completion (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ville Skyttä
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-17 09:48 EDT by Severin Gehwolf
Modified: 2017-07-25 04:02 EDT (History)
3 users (show)

See Also:
Fixed In Version: bash-completion-2.2-1.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-03 10:48:50 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Severin Gehwolf 2015-09-17 09:48:27 EDT
Description of problem:

It is useful in certain situations to have additional completions available which get activated on-demand. The example use-case is software collections. By enabling a collection a new file system hierarchy is made available. Thus new binaries can be made available this way as well. For such binaries it would be great to have bash completions as well.

Typical use case is:

1. Activate collection: "scl enable <collection-name> bash"
2. Have new binary in /opt/<root>/<scl-name>/root/usr/bin/ available.
3. Similarly, bash completions could be added to existing completions by
   also loading completions from /opt/<root>/<scl-name>/root/usr/share/bash-completion/completions

One way to achieve this is for bash-completion to read the XDG_DATA_DIRS[1] variable for locations from where to source additional completions (in addition to XDG_DATA_HOME). Software collections could then set the XDG_DATA_DIRS env variable accordingly.

An example setting of XDG_DATA_DIRS could be:
XDG_DATA_DIRS=/usr/local/share:/usr/share:/opt/foo/bar/root/usr/share

Note You need to log in before you can comment on or make changes to this bug.